Skip to main content

DCC Authorization


Overview

A DCC authorization authorizes the amount for the transaction. The payment response includes the status of the request. It also includes processor-specific information when the request is successful, and error information when the request is unsuccessful.

Endpoints

POST /pts/v2/payments

POST /pts/v2/payments

POST /pts/v2/payments

Visa Platform Connect Example

{  "clientReferenceInformation": {    "code": "TC50171_3"  },  "paymentInformation": {    "card": {      "number": "4111111111111111",      "expirationMonth": "12",      "expirationYear": "2031"    }  },  "orderInformation": {    "amountDetails": {      "totalAmount": "157.00",      "currency": "AUD",      "exchangeRate": "1.57",      "exchangeRateTimeStamp": "20251108121232",      "originalAmount": "100.00",      "originalCurrency": "USD",      "currencyConversion": {        "indicator": "1",        "reconciliationId": "ABC123",        "id": "6843379070056369304008"      }    }  },  "billTo": {    "firstName": "John",    "lastName": "Doe",    "address1": "1 Market St",    "locality": "San Francisco",    "administrativeArea": "CA",    "postalCode": "94105",    "country": "US",    "email": "[email protected]",    "phoneNumber": "4158880000"  }}
{  "_links": {    "authReversal": {      "method": "POST",      "href": "/pts/v2/payments/7625574701416008504806/reversals"    },    "self": {      "method": "GET",      "href": "/pts/v2/payments/7625574701416008504806"    },    "capture": {      "method": "POST",      "href": "/pts/v2/payments/7625574701416008504806/captures"    }  },  "clientReferenceInformation": {    "code": "TC50171_3"  },  "id": "7625574701416008504806",  "orderInformation": {    "amountDetails": {      "authorizedAmount": "157.00",      "currency": "AUD"    }  },  "processorInformation": {    "systemTraceAuditNumber": "866090",    "merchantNumber": "123456789",    "approvalCode": "831000",    "responseCode": "00",    "avs": {      "code": "Y",      "codeRaw": "Y"    }  },  "reconciliationId": "7625574701416008504806",  "status": "AUTHORIZED",  "submitTimeUtc": "2025-11-07T23:17:50Z"}

FDC Nashville Global Example

{  "clientReferenceInformation": {    "code": "TC50171_3"  },  "paymentInformation": {    "card": {      "number": "4111111111111111",      "expirationMonth": "12",      "expirationYear": "2031"    }  },  "orderInformation": {    "amountDetails": {      "totalAmount": "100.00",      "currency": "USD",      "foreignAmount": "157.00",      "foreignCurrency": "AUD",      "exchangeRate": "1.57",      "exchangeRateTimeStamp": "20251108 12:12",      "currencyConversion": {        "indicator": "1"      }    },    "billTo": {      "firstName": "John",      "lastName": "Doe",      "address1": "1 Market St",      "locality": "San Francisco",      "administrativeArea": "CA",      "postalCode": "94105",      "country": "US",      "email": "[email protected]",      "phoneNumber": "4158880000"    }  }}
{  "_links": {    "authReversal": {      "method": "POST",      "href": "/pts/v2/payments/7625543558656491904805/reversals"    },    "self": {      "method": "GET",      "href": "/pts/v2/payments/7625543558656491904805"    },    "capture": {      "method": "POST",      "href": "/pts/v2/payments/7625543558656491904805/captures"    }  },  "clientReferenceInformation": {    "code": "TC50171_3"  },  "id": "7625543558656491904805",  "orderInformation": {    "amountDetails": {      "authorizedAmount": "100.00",      "currency": "USD"    }  },  "processorInformation": {    "merchantNumber": "000846649116882",    "approvalCode": "831000",    "responseCode": "00",    "avs": {      "code": "Y",      "codeRaw": "Y"    }  },  "reconciliationId": "S387EHOCTCWC",  "status": "AUTHORIZED",  "submitTimeUtc": "2025-11-07T22:25:55Z"}

Required Fields

In addition to the normal fields required for a regular authorization, these fields are required when DCC has been offered and the cardholder has chosen to pay in their billing currency.

orderInformation.amountDetails.currency string · Required

The cardholder's billing currency (for example, AUD).

orderInformation.amountDetails.currencyConversion.indicator string · Required

Set this field to 1 when cardholders opt to use DCC.

orderInformation.amountDetails.exchangeRate string · Required

Exchange rate returned in the DCC offer response.

orderInformation.amountDetails.exchangeRateTimeStamp string · Required

Timestamp of the exchange rate returned in the DCC offer response.

orderInformation.amountDetails.foreignAmount string · Required for FDI Global

Foreign amount for the transaction. Required for FDI Global transactions.

orderInformation.amountDetails.foreignCurrency string · Required for FDI Global

Foreign currency for the transaction. Required for FDI Global transactions.

orderInformation.amountDetails.originalAmount string · Required for VPC

Amount of the transaction in your local pricing currency. Required for Visa Platform Connect transactions.

orderInformation.amountDetails.originalCurrency string · Required for VPC

Your local pricing currency. Required for Visa Platform Connect transactions.

orderInformation.amountDetails.totalAmount string · Required

The total amount to authorize in the cardholder's billing currency (converted using the exchange rate from the DCC offer).

Last published: September 29, 2026